Cancel an application

Cancels an active application on behalf of a merchant. The application must belong to the authenticated partner. Sets the application status to 'Closed - Declined by merchant' with status detail 'Partner Declined'.

Guard conditions: Returns 409 Conflict if the application status is already one of the following terminal statuses:

  • Won
  • Declined - Risk
  • Closed - Does not qualify
  • Closed - Declined by merchant
  • Spam
Path Params
uuid
required

The application GUID returned in the response when the application was created via POST /applications.

Headers
string
required

Your API key for authentication.

Responses

400

Bad request - brokerId query parameter is missing

401

Unauthorized - Missing or invalid API key

403

Forbidden - Invalid or deactivated API key

404

Application not found for this partner

500

Internal server error

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json